/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.action;

import jp.mosp.common.common.BaseAction;
import jp.mosp.common.common.LogUtility;
import jp.mosp.common.common.MospConst;

/**
 * 排他処理機能を提供する。<br><br>
 * 現在は、このActionが実行されると、セッションを無効にし
 * エラーページへ飛ばす。<br>
 */
public class ExcludeAction extends BaseAction {
	
	/**
	 * コンストラクタ。<br>
	 * 各種確認不要を設定する。<br>
	 */
	public ExcludeAction() {
		super();
		// 共通処理設定
		setNeedSession(false);
		setNeedAspUser(false);
		setNeedUser(false);
		setCheckProcSeq(false);
		setCheckAuth(false);
	}
	
	/**
	 * アクション。<br>
	 * セッションを無効にし、遷移先をエラーページに設定する。<br>
	 */
	public void action() throws Exception {
		
		// セッションの無効化
		if (session != null) {
			session.invalidate();
		}
		
		// 遷移先の設定
		setUrl(MospConst.URL_ERROR);
		
		// ログ出力
		LogUtility.log(request, 4, MospConst.LOG_ERROR, MospConst.LOG_MSG_EXCLUDE);
		
	}
	
}
